// ========================================================== //
//                                                            //
//   File      : arb_stdstring.h                              //
//   Purpose   : (inlined) string functions using std::string //
//                                                            //
//   Coded by Ralf Westram (coder@reallysoft.de) in Sep 19    //
//   http://www.arb-home.de/                                  //
//                                                            //
// ========================================================== //

// Note: code using char* should go to arb_string.h
//                     or ../TEMPLATES/arb_str.h

#ifndef ARB_STDSTRING_H
#define ARB_STDSTRING_H

#ifndef ARB_STRING_H
#include "arb_string.h"
#endif
#ifndef _GLIBCXX_STRING
#include <string>
#endif

inline char *ARB_stringdup(const std::string& str) {
    return ARB_strduplen(str.c_str(), str.length());
}

#else
#error arb_stdstring.h included twice
#endif // ARB_STDSTRING_H
